Loading...
Searching...
No Matches
find_rast3d.c File Reference

GIS library - Find a 3D raster map. More...

`#include <grass/gis.h>`
Include dependency graph for find_rast3d.c:

Go to the source code of this file.

## Functions

const char * | G_find_raster3d (const char *name, const char *mapset)

## Detailed Description

GIS library - Find a 3D raster map.

(C) 2001-2009, 2011 by the GRASS Development Team

` This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL */

/*!

Search for a 3D raster map in current search path or in a specified mapset.

Note: rejects all names that begin with '.'

Parameters

  name | map name
  mapset | mapset to search. ("" for search path)

Returns
  pointer to a string with name of mapset where the map was found
  NULL if not found

Definition in file find_rast3d.c.

## Function Documentation

## G_find_raster3d()

const char * G_find_raster3d | ( | const char * | name,
|  | const char * | mapset )

Definition at line 28 of file find_rast3d.c.

References G_find_file2_misc(), and name.

Referenced by Gvl_load_colors_data(), M_do_remove(), M_do_rename(), N_read_rast3d_to_array_3d(), and open_g3d_file().